#
# changeScaleEdit
#
# Description: takes a python file, test.py and adds * scale to commands
#                             t.fd, t.bk, t.circle
#
# Author: Deborah R Fowler
# Date: April 10, 2024
#
# input: python file - currently called test.py
# output: python file - with * scale added to t.fd, t.bk, t.circle
#
# Note: This could be expanded of course, include making it a function, user input, etc.
# but is being used to help demonstrate how scripting can take a tedious task and make it easier
# Demo of file open/close, split and slice
#


filevar = open("test.py",'r')
fileout = open("testResult.py",'w')
for line in filevar:

    myvars = line.rstrip().split()
    
    if myvars != [] and (myvars[0].startswith("t.fd")
                         or myvars[0].startswith("t.bk")
                         or myvars[0].startswith("t.circle")):
        fileout.write("    " + myvars[0][:-1] + " * scale) \n")
    else:
        fileout.write(line)
        
filevar.close()
fileout.close()
